.left margin
.ifnot hlp
.HL 1 ENABLE/DISABLE
.else hlp
.helpc DISABLE
.s2
See ENABLE
.s
.helpc ENABLE
.br
.endif hlp
.if hlp
.if RSX
.i5;Additional help available: introduction
BAR CONTINUE ESCAPE EQUATION FLAGS HYPHENATION INDEXING LEVELS 
NUMBERING ODD OVERSTRIKING PAGING SUBSTITUTION 
TABS TOC TRAILING__ZERO UNCONDITIONAL UNDERLINING
.j
.endif RSX
.endif hlp
.helpd introduction
.entry NO>- See also DISABLE
.entry DISABLE>- See also NO
.entry FLAGS>- See also ENABLE FLAGS
.p
These commands enable or disable various actions.
.ifnot small
Some of the enable commands can be confused with the FLAGS commands, but they
.x FLAGS
are very different.   A FLAGS command defines special characters or
combinations of characters.  The enable command which mirrors a FLAGS command
enables the action which that character requests.  For example you may enable
the overstrike flag by _.FLAGS#OVERSTRIKE.  The percent sign "#%#" will then
cause overstriking and will not appear in the text.  If you then issue the
command _.DISABLE#OVERSTRIKING the percent sign will still not appear in the
text, unless quoted, but no overstriking will occur. 
.endif small
.helpd BAR
.q _.ENABLE BAR  [n1] [,n2] [,"c"]
.qq _.EBB [n1] [,n2] [,"c"]
.qn _.DISABLE BAR 
.qn _.DBB 
.x DISABLE>BAR 
.p.x ENABLE>BAR
This command controls the printing of change bars. 
.ifnot small
The change bar is a vertical bar printed in the in the left margin of a
document. It is generally used to note sections of the document that have been
changed since the last printing of the document. Bars will not actually be
printed unless a _.BEGIN BAR command is issued. This command is normally
issued at the beginning of a document. 
If no change bar is printed
the line is shifted right by n1+n2. In effect if n1 is 4 and n2 is 3 the text
line is always indented by 7 but the change bar appears 2 spaces to the left
of the text when it is turned on. The defaults for n1,n2 are 0,3. If you set a
left margin the n1,n2 are in addition to the left margin. 
If you wish a different character for the change bar you may specify it
in a literal "c".  If a null literal "" is used then the character reverts
to the default.
.i5;(n1,n2, and "c" are not supported in DSR)
.endif small
.i5;DEFAULT: _.DISABLE BAR 
.helpd COMMAND
.bb
.q _.ENABLE COMMAND REPLACEMENT
.qn _.DISABLE COMMAND REPLACEMENT
.p.x ENABLE>COMMAND REPLACEMENT
Enable allows user defined commands to replace permanently defined commands.
.ifnot small
Normally if a user command is the same as a permanent command, the
permanent command will be performed unless prefaced by an underscore 
"__". For example you define the following command:
.i5;_.DEFINE COMMAND /p/.s 1 .tt 5 .i 5
.br
This command would not normally be performed unless you either:
.i5;_.ENABLE COMMAND REPLACEMENT
.i10;_...or:
.i5;_.__P
.p
When command replacement is enabled, you can still select permanent commands 
by beginning them with a dollar sign "_$".
As in the example above, _._$P is the permanent command and _.__P is the new
user defined command.
When command replacement is enabled, RNO may be slower if you have defined 
many commands or substitutions.
.endif small
.s.i5;(Not supported in DSR)
.i5;Default:_.DISABLE COMMAND REPLACEMENT
.eb
.helpd CONTINUE
.q _.ENABLE CONTINUE
.qq _.ECO
.qn _.DISABLE CONTINUE
.qn _.DES
.x DISABLE>CONTINUE
.p.x ENABLE>CONTINUE
When this is enabled either a break, or hyphenation flag at the end of the
line will cause the line to be continued.  
.ifnot small
If you are in NO#FILL mode then 
the line will not automatically break at the end of the input line.  If in 
.x FILL
FILL mode no space will occur between the word at the end of the line and
the word on the beginning of the next input line.
The break and hyphenate characters still have the usual meaning
and hyphenation or breaks may occur at the end of the input line if there
is not sufficient space for the next word in the output line.
If the break or hyphenation flag is followed by a space then is is not
at the end of the line.
.i5;(Not supported in DSR)
.endif small
.i5;DEFAULT: _.DISABLE CONTINUE 
.helpd ESCAPE
.q _.ENABLE ESCAPE
.qq _.EES
.qn _.DISABLE ESCAPE
.qn _.DES
.x DISABLE>ESCAPE
.p.x ENABLE>ESCAPE
These commands control the  output of escape sequences.   The escape
sequence flags will be recognized, but not executed while disabled.
.i5;DEFAULT: _.ENABLE ESCAPE
.i5;(Not supported in DSR)
.helpd EQUATION
.q _.ENABLE EQUATION n
.qq _.EEQ n
.qn _.DISABLE EQUATION
.qn _.DEQ
.x DISABLE>EQUATION
.X EQUATION>DISABLE
.p.x ENABLE>EQUATION
.X EQUATION>ENABLE
This controls 
 the equation formatting.  The parameter n is the number of half
lines to allocate above and below each character. The default is _.EEQ 0.
.ifnot small
Sometimes if you are formatting equations with many subscripts or superscripts
n=1 will look better by adding more blank space to the fractions. 
When disabled, but with the equation
flags defined via the _.FLAGS EQUATION command, left and right braces _{ _} are
translated to be normal parentheses ( ). 
.i5;(Not supported in DSR)
.endif small
.i5;DEFAULT: _.ENABLE EQUATION
.helpd FLAGS
.q _.ENABLE FLAGS [flag]
.qn _.DISABLE FLAGS [flag]
.x FLAGS>DISABLE
.x DISABLE>FLAGS
.p.x ENABLE>FLAGS
.x FLAGS>ENABLE
this commands temporarily enable or disable recognition of flags.
.ifnot small
The possible flags are:
.nj.ts +5,+12,+12,+12,+12,+12,+12
	ACCEPT	ALL	BREAK	CAPITALIZE	ESCAPE	EQUATION
	HYPHENATE	INDEX	LOWERCASE	OVERSTRIKE	SPACE	SPECIAL
	SUBINDEX	SUBSTITUTE	TAB	UNDERLINE	UPPERCASE 
.j
By default all flags are initially enabled.  If no flag is specified, or ALL
is specified then all flags except for the TAB flag are enabled.  Flags
disabled by _.NO FLAGS ALL may be enabled by this command. Flags that have not
been defined by a .FLAGS command can not be enabled. The enable status of
flags are saved by the _.SAVE commands. If no flag is specified all flags
except for the TAB flag are enabled or disabled.  Disabling a flag does not
redefine or remove the flag character. For example if you wish to use the
ampersand (_&) for some other purpose than the underline flag you must
undefine it via the _.NO FLAGS UNDERLINE. You can however _.DISABLE FLAGS
UNDERLINE to use the ampersand as a printable character. 
.i5;(Not supported in DSR)
.endif small
.helpd HYPHENATION
.q _.ENABLE HYPHENATION
.qq _.EHY
.qn _.DISABLE HYPHENATION
.qn _.DHY
.x DISABLE>HYPHENATION
.p.x ENABLE>HYPHENATION
.x Hyphenation
Controls hyphenation.  
.ifnot small
While hyphenation is enabled RUNOFF may hyphenate words at the end of an
output line.  User defined hyphenation via the hyphenate flag character [#_=#]
may be used.  Automatic hyphenation is possible via the _.AUTOHYPHENATE
command. RUNOFF will not hyphenate: 
.LIST 0
.le;The last line on the page
.le;A line following 2 hyphenated lines
.le;Equations
.els 0
The following will inhibit autohyphenation:
.list 0
.le;Escape sequences inside a word
.le;Overstrikes 
.le;Non expandable spaces "_#"
.x Space>Non expandable
.le;Tabs in front of a word
.le;Invalid punctuation 
.els 0
Valid punctuation marks are:
.x Punctuation>Valid
.c;/ _\ _. , ( ) " @
For example words containing hyphens are not hyphenated.  Such words may
be optionally broken by using the break character or by issuing the command
.c; _.AUTOBREAK "-"
.x Autobreak
The valid punctuation list may be changed by the _.AUTOHYPHENATION command.
.p
The hyphenation routines are not ideal and there are certain problems which
you must overcome manually.  The hyphenation routine has no warning when a
paragraph is ending, consequently it may hyphenate the last word in a
paragraph.  This may be avoided by using the _.FLAGS HYPHENATE command and
marking the last word in a paragraph for no hyphenation. Or periods could be
declared as invalid punctuation. If you use footnotes and the footnote
overflows to the next page, the hyphenation routine may hyphenate the last
word on a page. This may be avoided by use of the hyphenation flag, or by
picking the page breaks with the _.PAGE command. It is always a good idea to
avoid footnotes which overflow to the next page. 
.endif small
.i5;DEFAULT: _.ENABLE HYPHENATION
.helpd INDEXING
.q _.ENABLE INDEXING
.qq _.EIX
.qn _.DISABLE INDEXING
.qn _.DIX
.x ENABLE>INDEXING
.x INDEX>DISABLE
.x ENABLE>INDEXING
.s.x INDEX>ENABLE
controls collecting and printing of index entries.  
.i5;DEFAULT: _.ENABLE INDEXING
.helpd LEVELS
.q _.ENABLE LEVELS [+-n1],[+-n2]
.p.x ENABLE>LEVELS
.X Table of contents
Enables output of header levels up to n1, and TOC output up to n2.
.ifnot small
In other words the _.DOC file will have header levels 1 to n1 and the _.RNT
file will have levels up to n2.  If n2 is greater than n1 the _.RNT file will
only contain levels up to n1. If n is not specified the default is assumed.
There is no _.DISABLE LEVELS command 
.i5;(Not supported in DSR)
.endif small
.i5;DEFAULT: _.ENABLE LEVELS 6,6
.helpd NUMBERING
.q _.ENABLE NUMBERING
.qq _.ENMPG
.qn _.DISABLE NUMBERING
.qn _.DNMPG
.x DISABLE>NUMBERING
.p.x ENABLE>NUMBERING
_.ENABLE NUMBERING allows page numbers to be printed.
This does not start numbering if it has been terminated by a _.NO NUMBER
command.
.ifnot small
When disabled the page numbers will not be printed, but pages will
still be counted,  and the _.NUMBER command will not
turn page numbering on.
.endif small
.i5;DEFAULT _.ENABLE NUMBERING
.ifnot small
.if hlp
.if Rsx
.i5;ADDITIONAL HELP AVAILABLE: CHAPTER
.endif RSX
.endif hlp
.helpe CHAPTER
.endif small
.q _.ENABLE NUMBERING CHAPTER
.qq _.ENMCH
.qn _.DISABLE NUMBERING CHAPTER
.qn _.DNMCH
.x DISABLE>NUMBERING>CHAPTER
.p.x ENABLE>NUMBERING>CHAPTER
When enabled pages are numbered as N-M where N is the chapter number
and M is the page number.
.ifnot small
Once chapter numbering has been disabled it will not be reenabled by
any command except for the _.ENABLE NUMBERING CHAPTER
.i5;(Not supported in DSR)
.endif small
.i5;DEFAULT: _.ENABLE NUMBERING CHAPTER
.helpd ODD
.q _.ENABLE ODD
.qq _.EODD
.qn _.DISABLE ODD
.qn _.DODD
.p.x DISABLE>ODD
.p.x ENABLE>ODD
Enabling odd   forces the first page of each chapter
onto an odd numbered page.  If necessary numbered pages with no text will
be produced to force the chapter onto the proper page.
.i5;(Not supported in DSR)
.i5;DEFAULT: _.DISABLE ODD
.helpd OVERSTRIKING
.q _.ENABLE OVERSTRIKING
.qq _.EOV
.qn _.DISABLE OVERSTRIKING
.qn _.DOV
.x DISABLE>OVERSTRIKING
.p.x ENABLE>OVERSTRIKING
Enables or disables overstriking by means of the overstrike character [#_%#].
.ifnot small
If the overstrike flag is defined but overstriking is disabled RNO will
not do any overstriking, and the overstrike flag character will not appear
in the output.  Previous versions of RNO attempted to omit overstruck
characters, but this is unfortunately not possible in all circumstances,
so this feature had to be omitted.
.endif small
.i5;DEFAULT: _.ENABLE OVERSTRIKING
.helpd PAGING
.bb
.q _.ENABLE PAGING
.qq _.EPAG
.qn _.DISABLE PAGING
.qn _.DPAG
.x DISABLE>PAGING
.p.x ENABLE>PAGING
These commands permanently enable or disable pagination.  The _.PAGE SIZE
command will not turn paging on, and the _.PAGE command will not produce a 
page.  See _.PAGING.
.i5;DEFAULT: _.ENABLE PAGING
.i5;(Not available in DSR)
.eb
.helpd SUBSTITUTION
.q _.ENABLE SUBSTITUTION
.qq _.ESST
.qn _.DISABLE SUBSTITUTION
.qn _.DSST
.x DISABLE>SUBSTITUTION
.p.x ENABLE>SUBSTITUTION
These command enable or disable substitutions.  
When disabled and the substitute flag is defined
the substitution will be recognized, but no substitution will be made.
.i5;DEFAULT: _.ENABLE SUBSTITUTION
.i5;(Not available in DSR)
.helpd TABS
.q _.ENABLE TABS
.qq _.ETB
.qn _.DISABLE TABS
.qn _.DTB
.x DISABLE>TABS
.p.x ENABLE>TABS
This controls the use of the tab key to produce tabulated or columnar output.
.ifnot small
Tabs are normally enabled so you do not need to enable them unless you
have previously disabled them.
When tabs are disabled they are treated as
.x Tabs
.x Space
ordinary spaces.
.i5;(Not supported in DSR)
.endif small
.i5;DEFAULT: _.ENABLE TABS
.helpd TOC
.q _.ENABLE TOC
.qq _.ETC
.qn _.DISABLE TOC
.qn _.DTC
.x DISABLE>TOC
.p.x ENABLE>TOC
.X Table of contents
These commands enable or disable all
output to the table of contents file.
.ifnot small
When disabled neither CHAPTER, _.HEADER LEVEL, _.APPENDIX, nor
 _.SEND TOC commands will output anything to the _.RNT file.
By using this command you can control which items are in the TOC.
.endif small
.i5;DEFAULT: _.ENABLE TOC
.helpd TRAILING__ZERO
.bb
.q _.ENABLE TRAILING ZERO
.qn _.DISABLE TRAILING ZERO
.p.x ENABLE>TRAILING ZERO
.x DISABLE>TRAILING ZERO
When trailing zeroes are disabled header levels are never printed with
a trailing zero.  Normally if you have a non chapter oriented document
the command:
.i5;_.HL 1
.br;will print a number in the form:
.i5;1.0
.br;but if trailing zeroes are disabled it will be:
.i5;1
.s.i5;(Not available in DSR)
.i5;DEFAULT: _.ENABLE TRAILING ZERO
.eb
.helpd UNCONDITIONAL
.q _.ENABLE UNCONDITIONAL
.qq _.EUNC
.qn _.DISABLE UNCONDITIONAL
.qn _.DUNC
.x DISABLE>UNCONDITIONAL
.p.x ENABLE>UNCONDITIONAL
This causes a break, and enables or disable unconditional text.
When enabled all text not preceeded by an _.IF
command will appear in the output.  
.ifnot small
These commands may not be used inside a note,footnote or text section.
When unconditional is disabled all input following it is ignored
except for _.ENABLE UNCONDITIONAL or _.IF commands.  These commands
must be the first command on a line to be recognized.  When _.IF is
encountered then RNO will continue processing text as if unconditional were
enabled until the matching _.ENDIF.
.p
These commands may be used to generate multiple table of contents for
sections, figures, tables and so forth.  By disabling normal text, RNO can
pick out only desired sections and ignore the rest.
.i5;(NOT available in DSR)
.endif small
.i5;DEFAULT: _.ENABLE UNCONDITIONAL
.helpd UNDERLINING
.q _.ENABLE UNDERLINING
.qq _.EUL
.qn _.DISABLE UNDERLINING
.qn _.DUL
.x DISABLE>UNDERLINING
.p.x ENABLE>UNDERLINING
Controls underlining using the underline character [#_&#].  
.ifnot small
.note
The DSR Pocket Reference uses _.EUN instead of _.EUL, but the DST
manual uses _.EUL so this has been adopted as the standard abbreviation.
_.EUN and _.DUN will also work, but these may not be supported in the
future.
.end note
.endif small
.i5;_.DEFAULT: _.ENABLE UNDERLINING
